CentOS: závislosti balíků třetích stran

ZAJDAN

  • *****
  • 2 056
    • Zobrazit profil
    • E-mail
CentOS: závislosti balíků třetích stran
« kdy: 21. 02. 2017, 17:20:41 »
Ahoj,
jako novacek s Centosem se protloukam trablema a s timto bych chtel poprosit o radu:
CentOS 6.8 i386 a v nem se snazim nainstalovat RDP plugin pro Remminu:
Kód: [Vybrat]
rpm -Uvh Downloads/remmina-plugins-rdp-0.9.2-5.el6.R.i686.rpm
warning: Downloads/remmina-plugins-rdp-0.9.2-5.el6.R.i686.rpm: Header V4 DSA/SHA1 Signature, key ID dbb6c70d: NOKEY
error: Failed dependencies:
libfreerdp.so.0 is needed by remmina-plugins-rdp-0.9.2-5.el6.R.i686
libfreerdpchanman.so.0 is needed by remmina-plugins-rdp-0.9.2-5.el6.R.i686
libfreerdpkbd.so.0 is needed by remmina-plugins-rdp-0.9.2-5.el6.R.i686
logicky zkousim doinstalovat chybejici balicky, ALE oni uz tam jsou!:
Kód: [Vybrat]
yum install libfreerdpkbd.so.0
Loaded plugins: fastestmirror, refresh-packagekit, security
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirror.karneval.cz
 * epel: mirror.karneval.cz
 * extras: mirror.karneval.cz
 * nux-dextop: mirror.li.nux.ro
 * updates: mirror.karneval.cz
Package matching freerdp-libs-0.8.2-3.el6.nux.i686 already installed. Checking for update.
Nothing to do
« Poslední změna: 21. 02. 2017, 21:00:13 od Petr Krčmář »
Vesele, vesele do továrny dělník běží...vesele, vesele do továrny jde. Vesele se usmívá když mu soustruh zazpívá...vesele, vesele do továrny jde. Vesele si poskočí když se soustruh roztočí ...vesele, vesele do továrny jde.


Harry

Re:CentOS - problem se zavislostmi
« Odpověď #1 kdy: 21. 02. 2017, 18:58:30 »
Zdar,
asi lehce offtopic - kdyz pouzivas yum, nemel bys pouzivat vedle toho rpm (protoze pak o tech baliccich naprimo instalovanych yum "nevi") - zkus pouzit "yum localinstall <balicek>" - treba si yum ty zavislosti poresi sam.
Harry

aaa158

  • ***
  • 226
    • Zobrazit profil
    • E-mail
Re:CentOS - problem se zavislostmi
« Odpověď #2 kdy: 21. 02. 2017, 20:26:47 »
ide asi o to ze mas repo nux-dextop ktore dodalo nekompatibilne kniznice...

Jose D

  • *****
  • 750
    • Zobrazit profil
Re:CentOS - problem se zavislostmi
« Odpověď #3 kdy: 21. 02. 2017, 20:52:22 »
ide asi o to ze mas repo nux-dextop ktore dodalo nekompatibilne kniznice...
jj.
nejlepsi by bylo, pokud s linuxem zacinas, je zustat u software z distribuce, pripadne si neco buildit v /usr/local, ale pridavat repa tretich stran (Nux Dextop) a instalovat stazeny rpm, na to uz jsou potreba alespon zakladni znalosti reseni zavislosti.

Je to trochu obracenej pristup nez u windows - kde repozitare neexistuji, takze se vsechno stahuje a instaluje rucne.

ZAJDAN

  • *****
  • 2 056
    • Zobrazit profil
    • E-mail
Re:CentOS: závislosti balíků třetích stran
« Odpověď #4 kdy: 21. 02. 2017, 21:39:49 »
Ja uz dlouha leta pouzivan Debian ale centos mam prvni instalaci...ten balicek jsem musel stahnout z ruske fedory, protoze v 32bit verzi ho nemaji ani repositare 3tich stran a freerdp ktere si remmina žádala  se tusim natahlo z oficiálních....  Jaky postup tedy doporučujete?
Vesele, vesele do továrny dělník běží...vesele, vesele do továrny jde. Vesele se usmívá když mu soustruh zazpívá...vesele, vesele do továrny jde. Vesele si poskočí když se soustruh roztočí ...vesele, vesele do továrny jde.


ZAJDAN

  • *****
  • 2 056
    • Zobrazit profil
    • E-mail
Re:CentOS: závislosti balíků třetích stran
« Odpověď #5 kdy: 22. 02. 2017, 08:51:55 »
zkusil jsem tedy navrhovany yum localinstal , ale ani to neczresilo problem:
Kód: [Vybrat]
yum localinstall Downloads/remmina-plugins-rdp-0.9.2-5.el6.R.i686.rpm
Loaded plugins: fastestmirror, refresh-packagekit, security
Setting up Local Package Process
Examining Downloads/remmina-plugins-rdp-0.9.2-5.el6.R.i686.rpm: remmina-plugins-rdp-0.9.2-5.el6.R.i686
Marking Downloads/remmina-plugins-rdp-0.9.2-5.el6.R.i686.rpm to be installed
Loading mirror speeds from cached hostfile
epel/metalink                                                                                                     |  26 kB     00:00     
 * base: mirror.karneval.cz
 * epel: mirror.karneval.cz
 * extras: mirror.karneval.cz
 * nux-dextop: mirror.li.nux.ro
 * updates: mirror.karneval.cz
base                                                                                                              | 3.7 kB     00:00     
extras                                                                                                            | 3.3 kB     00:00     
nux-dextop                                                                                                        | 2.9 kB     00:00     
updates                                                                                                           | 3.4 kB     00:00     
updates/primary_db                                                                                                | 4.1 MB     00:01     
Resolving Dependencies
--> Running transaction check
---> Package remmina-plugins-rdp.i686 0:0.9.2-5.el6.R will be installed
--> Processing Dependency: libfreerdp.so.0 for package: remmina-plugins-rdp-0.9.2-5.el6.R.i686
--> Processing Dependency: libfreerdpchanman.so.0 for package: remmina-plugins-rdp-0.9.2-5.el6.R.i686
--> Processing Dependency: libfreerdpkbd.so.0 for package: remmina-plugins-rdp-0.9.2-5.el6.R.i686
--> Finished Dependency Resolution
Error: Package: remmina-plugins-rdp-0.9.2-5.el6.R.i686 (/remmina-plugins-rdp-0.9.2-5.el6.R.i686)
           Requires: libfreerdp.so.0
           Available: freerdp-libs-0.8.2-3.el6.nux.i686 (nux-dextop)
               libfreerdp.so.0
           Installed: freerdp-libs-1.0.2-5.el6.i686 (@base)
               Not found
           Available: freerdp-libs-1.0.2-1.el6.i686 (epel)
               Not found
Error: Package: remmina-plugins-rdp-0.9.2-5.el6.R.i686 (/remmina-plugins-rdp-0.9.2-5.el6.R.i686)
           Requires: libfreerdpchanman.so.0
           Available: freerdp-libs-0.8.2-3.el6.nux.i686 (nux-dextop)
               libfreerdpchanman.so.0
           Installed: freerdp-libs-1.0.2-5.el6.i686 (@base)
               Not found
           Available: freerdp-libs-1.0.2-1.el6.i686 (epel)
               Not found
Error: Package: remmina-plugins-rdp-0.9.2-5.el6.R.i686 (/remmina-plugins-rdp-0.9.2-5.el6.R.i686)
           Requires: libfreerdpkbd.so.0
           Available: freerdp-libs-0.8.2-3.el6.nux.i686 (nux-dextop)
               libfreerdpkbd.so.0
           Installed: freerdp-libs-1.0.2-5.el6.i686 (@base)
               Not found
           Available: freerdp-libs-1.0.2-1.el6.i686 (epel)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Vesele, vesele do továrny dělník běží...vesele, vesele do továrny jde. Vesele se usmívá když mu soustruh zazpívá...vesele, vesele do továrny jde. Vesele si poskočí když se soustruh roztočí ...vesele, vesele do továrny jde.

Harry

Re:CentOS: závislosti balíků třetích stran
« Odpověď #6 kdy: 23. 02. 2017, 10:19:18 »
Zdar,
a kdyz odeberes ten rucne nainstalovanej balik freerdp-libs-1.0.2-1.el6.i686 a nechas yum, aby to poresil tim, co zna z repozitare epel (freerdp-libs-1.0.2-1.el6.i686) ?
Harry

ZAJDAN

  • *****
  • 2 056
    • Zobrazit profil
    • E-mail
Re:CentOS: závislosti balíků třetích stran
« Odpověď #7 kdy: 23. 02. 2017, 10:40:32 »
Zdar,
a kdyz odeberes ten rucne nainstalovanej balik freerdp-libs-1.0.2-1.el6.i686 a nechas yum, aby to poresil tim, co zna z repozitare epel (freerdp-libs-1.0.2-1.el6.i686) ?
Harry
diky harry, ja tam nakonec nasadil 32bit debian a na nem zkompiloval nejaktualnejsi verzi Remminy, protoze i kdyby se to na Centosu povedlo, stejne bych musel i tam kompilovat cerstvou Remminu, ktera ma fixy na zasadni chyby, ktere potkali i me na jinych strojich, kde uz reminna byla (nahodne odpojovani RDP).....ta cerstva verze remminy, ktera jeste neni v repositarich a musi se na vsech distrech kompilovat funguje paradne 'zatim' :)
Vesele, vesele do továrny dělník běží...vesele, vesele do továrny jde. Vesele se usmívá když mu soustruh zazpívá...vesele, vesele do továrny jde. Vesele si poskočí když se soustruh roztočí ...vesele, vesele do továrny jde.

Activator

Re:CentOS - problem se zavislostmi
« Odpověď #8 kdy: 23. 02. 2017, 10:54:58 »
kdyz pouzivas yum, nemel bys pouzivat vedle toho rpm (protoze pak o tech baliccich naprimo instalovanych yum "nevi") -

To je zavadejici tvrzeni. Yum je spravce repozitaru, samotnou instalaci balicku nechava na rpm. A tedy to co je uz v rpm databazi nainstalovano vidi a vi o tom.

Harry

Re:CentOS: závislosti balíků třetích stran
« Odpověď #9 kdy: 23. 02. 2017, 11:38:08 »
OK, nebylo receno uplne stastne - kazdopadne instalujes-li primo pres rpm, pak to yum nevidi ve sve historii (pres RPMDB to samozrejme vidi) a vyhazuje hlasky "Warning: RPMDB altered outside of yum" - a neni asi duvodu (obecne) nevyzkouset "yum localinstall" pro instalaci lokalniho baliku, prave aby clovek nemusel resit zavislosti manualne.

Activator

Re:CentOS: závislosti balíků třetích stran
« Odpověď #10 kdy: 23. 02. 2017, 12:39:55 »
V tom pripade postaci syncnout historii, neni treba preisntalovat pres yum:

Kód: [Vybrat]
yum history sync